#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './authquestiondlg.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "authquestiondlg.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AuthQuestionDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AuthQuestionDlg::AuthQuestionDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AuthQuestionDlg" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setSizeGripEnabled( FALSE );
    setModal( TRUE );
    AuthQuestionDlgLayout = new QVBoxLayout( this, 11, 6, "AuthQuestionDlgLayout"); 

    LblOne = new QLabel( this, "LblOne" );
    QFont LblOne_font(  LblOne->font() );
    LblOne_font.setPointSize( 14 );
    LblOne->setFont( LblOne_font ); 
    LblOne->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    AuthQuestionDlgLayout->addWidget( LblOne );
    spacer6 = new QSpacerItem( 20, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AuthQuestionDlgLayout->addItem( spacer6 );

    LblTwo = new QLabel( this, "LblTwo" );
    LblTwo->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    AuthQuestionDlgLayout->addWidget( LblTwo );
    spacer5 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AuthQuestionDlgLayout->addItem( spacer5 );

    frame6 = new QFrame( this, "frame6" );
    frame6->setFrameShape( QFrame::StyledPanel );
    frame6->setFrameShadow( QFrame::Raised );
    frame6Layout = new QHBoxLayout( frame6, 11, 6, "frame6Layout"); 
    spacer4 = new QSpacerItem( 60, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    frame6Layout->addItem( spacer4 );

    buttonOk = new QPushButton( frame6, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    frame6Layout->addWidget( buttonOk );

    buttonCancel = new QPushButton( frame6, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    frame6Layout->addWidget( buttonCancel );
    AuthQuestionDlgLayout->addWidget( frame6 );

    LblThree = new QLabel( this, "LblThree" );
    LblThree->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    AuthQuestionDlgLayout->addWidget( LblThree );
    languageChange();
    resize( QSize(488, 329).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AuthQuestionDlg::~AuthQuestionDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AuthQuestionDlg::languageChange()
{
    setCaption( tr2i18n( "Authenticate?" ) );
    LblOne->setText( tr2i18n( "This program requires your authorization before it can read or modify your photos and data on Flickr" ) );
    LblTwo->setText( tr2i18n( "Authorization is a simple process that takes place in your web browser. When you are finished, return to the KFlickr window to complete authorization and begin using KFlickr." ) );
    buttonOk->setText( tr2i18n( "&Authorize..." ) );
    buttonOk->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    LblThree->setText( tr2i18n( "(You must be connected to the internet in order to authorize this program )" ) );
}

#include "authquestiondlg.moc"
